Android Device not compatible

Page 1 of 1 (8 items)
This post has 7 Replies | 1 Follower

Posts 160
Dennis Davis | Forum Activity | Posted: Mon, Dec 25 2017 6:50 PM

Hi, 

I have a Samsung T520 with Android 4.4.2 but for some reason I can't download any of the mobile apps. I previously had older versions of fsb and logos mobile installed but I deleted them to try to get the new versions that have the tab function. However I keep getting a noncompatible error message a d cannot download. Has anyone had this issue or figured out how to download properly?

Thanks

Posts 627
Scott E. Mahle | Forum Activity | Replied: Tue, Dec 26 2017 2:02 AM

Unfortunately, the new mobile apps require Android 5.0 and up.

Logos Series X Pastor’s Library | Logos 3 Leader’s Library | Logos 4 Portfolio | Logos 5 Platinum | Logos 6 Feature Crossgrade | Logos 7 Essential Upgrade - Large | Logos 8 Methodist & Wesleyan Platinum and Academic Professional

Posts 1117
Paul Caneparo | Forum Activity | Replied: Tue, Dec 26 2017 2:12 AM

Dennis

Try Aptoide. It's an alternative to Play Store.

https://en.aptoide.com

Their version of the Logos App only works on 4.3 and above.

https://logos-bible-software-bible.en.aptoide.com

Posts 160
Dennis Davis | Forum Activity | Replied: Tue, Dec 26 2017 11:52 AM

Thanks Paul.  I will give Aptoide a go.  It turns out that I have an older tablet that is no longer supported by Samsung so the regular means of updating the Android version will no longer work. 

Posts 1117
Paul Caneparo | Forum Activity | Replied: Tue, Dec 26 2017 1:35 PM

I find Aptitude useful for my old Android as you can find older versions of Apps that work on older tablets.

Posts 1117
Paul Caneparo | Forum Activity | Replied: Tue, Dec 26 2017 1:35 PM

Auto correct changed Aptoide to Aptitude! 

Posts 1735
Robert M. Warren | Forum Activity | Replied: Tue, Dec 26 2017 2:21 PM

Dennis Davis:
no longer supported by Samsung so the regular means of updating

I'll note here that depending on Samsung to update their devices is a tenuous proposition, anyway. My G-Tab 4 (non-LTE) was never updated to Lollipop, while the same tablet through a data provider was. I had a Gal-S (1) phone  that was never updated to ICS because Sammy couldn't "maintain the user experience" on that phone. Translate: "Sammy & T-Mob couldn't cram all their bloatware in with ICS". They make really good products, but they're really customer tone-deaf.

Posts 788
JRS | Forum Activity | Replied: Wed, Dec 27 2017 7:58 AM

Robert M. Warren:
... cram all their bloatware ...

Pardon the hijack ... use BK Package Disabler Pro to easily and quickly disable any unwanted bloatware or any Google/Samsung/Carrier apps.  No need to root the phone or tablet.  One can even disable/remap the Bixby button, if desired.  For $2.49 it's one of the best purchases one can make for their Android device.  Unload tons of resident-but-never-used apps and bloat = more free memory and storage.  Works on any Android device using Android 5+.

[I am not a paid spokesperson for WakaSoftware or BK Package Disabler - just an enthusiastic user]

https://play.google.com/store/apps/details?id=com.kunkunsoft.packagedisabler 

 I now return this thread to its original discussion...

How blessed is the one whom Thou dost choose, and bring near to Thee(Psa 65:4a)

Page 1 of 1 (8 items) | RSS